Find Comparison
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"refNumber": "<string>",
"context": {
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 123,
"alternativesCount": 123
},
"position": 123,
"selected": {
"kind": "project_item",
"imageUrl": "<string>",
"productTypeId": "<string>",
"catalogItemSourceId": "<string>",
"catalogConnectionMode": "live",
"savedAt": "2023-11-07T05:31:56Z",
"source": {
"kind": "supplier",
"companyName": "<string>",
"officeName": "<string>"
},
"attributes": {},
"id": "<string>",
"version": 123,
"name": "<string>",
"categoryId": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>"
},
"fields": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "text",
"logicType": "catalog_family",
"options": [
{}
]
}
],
"alternatives": {
"nextCursor": "<string>",
"items": [
{
"kind": "project_item",
"imageUrl": "<string>",
"productTypeId": "<string>",
"catalogItemSourceId": "<string>",
"catalogConnectionMode": "live",
"savedAt": "2023-11-07T05:31:56Z",
"source": {
"kind": "supplier",
"companyName": "<string>",
"officeName": "<string>"
},
"attributes": {},
"id": "<string>",
"version": 123,
"name": "<string>",
"categoryId": "<string>",
"catalogFamilyId": "<string>",
"catalogItemId": "<string>"
}
],
"hasMore": true
},
"suggestions": {
"nextCursor": "<string>",
"items": [
{
"kind": "catalog_candidate",
"origin": "curated",
"imageUrl": "<string>",
"productTypeId": "<string>",
"sourceSelection": {
"mode": "catalog_item_source",
"catalogItemSourceId": "<string>"
},
"attributes": {},
"catalogFamilyId": "<string>",
"catalogFamilyStatus": "draft",
"catalogItemId": "<string>",
"name": "<string>",
"categoryId": "<string>",
"source": {
"kind": "supplier",
"companyName": "<string>",
"officeName": "<string>"
}
}
],
"hasMore": true
}
}Slot Choice Comparison
Find Comparison
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
{slotId}
/
choice-comparison
Find Comparison
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I